Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
提供意見
Method: projects.locations.brands.sessionRecords.list
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
HTTP 要求
GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/sessionRecords
這個網址使用 gRPC 轉碼 語法。
路徑參數
參數
parent
string
這是必要旗標,要列出訂單工作階段的品牌。格式:projects/{project}/locations/{location}/brands/{brand}
查詢參數
參數
pageSize
integer
選用。要傳回的會話記錄數上限。服務傳回的產品數量可能會少於這個值。如未指定,最多將傳回 50 個工作階段。許可的最大值為 1000;超出的數值將一律指定為 1000。
pageToken
string
選用。屬於接收自前一個 sessionRecords.list 呼叫的網頁權杖。提供此項目即可擷取後續網頁。
filter
string
選用。根據 AIP-160 的篩選運算式。這個欄位可根據各種屬性篩選工作階段記錄。
支援的篩選器欄位:
session_id (字串):工作階段 ID。運算子:= 範例:session_id = "session-123"
storeId (字串):商店的 ID。運算子:=、!= 範例:storeId = "store-123"
storeIds (字串):以逗號分隔的商店 ID 清單。運算子:=、!=、: 範例:storeIds = "store-123,store-456"
sessionStartTime (時間戳記):工作階段的開始時間。時間戳記應為 RFC-3339 格式的字串 (例如 2012-04-21T11:30:00-04:00)。支援世界標準時間時差值。支援的運算子:=、!=、
、>=、<、<= 範例:sessionStartTime >= "2025-10-01T00:00:00Z"
outcomeLabel (字串):工作階段的最終結果標籤。運算子:=、!=。範例:outcomeLabel = "SUCCESS"
outcomeGroupLabel (字串):工作階段結果的群組標籤。運算子:=、!=。範例:outcomeGroupLabel = "SUCCESS"
predictedFailureCategory (字串):從介入分析預測的工作階段失敗類別。運算子:=、!= 範例:predictedFailureCategory = "Menu"
agent_utterances (字串):服務專員說的文字。運算子:: (HAS 符記/全文搜尋) 範例:agent_utterances:"anything else"
user_utterances (字串):使用者說出的文字。運算子:: (有權杖/全文檢索) 範例:user_utterances:"burger"
邏輯運算子:
您可以使用 AND、OR 和 NOT 組合條件。您可以使用括號 () 將運算式分組,控制評估順序。範例:(user_utterances:"help" OR agent_utterances:"issue")
AND storeId != "test-store" 範例:user_utterances:"order" AND
sessionStartTime >= "2025-10-03T00:00:00Z"
回應主體
[SessionRecordService.ListSessionRecords][] 的回應訊息。
如果成功,回應主體會含有以下結構的資料:
JSON 表示法
{
"sessionRecords" : [
{
object (SessionRecord )
}
] ,
"nextPageToken" : string
}
欄位
sessionRecords[]
object (SessionRecord )
工作階段記錄清單。
nextPageToken
string
可做為 pageToken 傳送的權杖,用於擷取後續網頁。如果省略這個欄位,就不會有後續頁面。
授權範圍
需要下列 OAuth 範圍:
https://www.googleapis.com/auth/cloud-platform
詳情請參閱Authentication Overview 。
提供意見
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權 ,程式碼範例則為阿帕契 2.0 授權 。詳情請參閱《Google Developers 網站政策 》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-06-15 (世界標準時間)。
想進一步說明嗎?
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["難以理解","hardToUnderstand","thumb-down"],["資訊或程式碼範例有誤","incorrectInformationOrSampleCode","thumb-down"],["缺少我需要的資訊/範例","missingTheInformationSamplesINeed","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-06-15 (世界標準時間)。"],[],[]]